GET /companies/{companyId}/data/bankAccounts/{accountId}/transactions

codat.io:accounting

Summary: List all bank transactions
Operation ID: list-bank-transactions
Auth: unknown
Description

Gets the latest bank transactions for given account ID and company. Doesn't require connection ID.

Parameters (6)

accountId (string, path, required)

Unique identifier for an account

companyId (string, path, required)
orderBy (string, query, optional)

Field to order results by. [Read more](https://docs.codat.io/using-the-api/ordering-results).

page (integer, query, required, default: 1)

Page number. [Read more](https://docs.codat.io/using-the-api/paging).

Constraints: {'minimum': 0}

pageSize (integer, query, optional, default: 100)

Number of records to return in a page. [Read more](https://docs.codat.io/using-the-api/paging).

Constraints: {'minimum': 1, 'maximum': 5000}

query (string, query, optional)

Codat query string. [Read more](https://docs.codat.io/using-the-api/querying).

No probe data for this endpoint yet.